| Kea 3.0.2-git

str.h File Reference
`#include <exceptions/exceptions.h>`
`#include <algorithm>`
`#include <cstddef>`
`#include <cstdint>`
`#include <memory>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include <boost/lexical_cast.hpp>`
Include dependency graph for str.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::util::str::StringSanitizer
| Implements a regular expression based string scrubber. More...
class | isc::util::str::StringTokenError
| A Set of C++ Utilities for Manipulating Strings. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util
namespace | isc::util::str

## Typedefs
using | isc::util::str::StringSanitizerImplPtr = std::shared_ptr<StringSanitizerImpl>
| Type representing the pointer to the `StringSanitizerImpl`.
using | isc::util::str::StringSanitizerPtr = std::unique_ptr<StringSanitizer>
| Type representing the pointer to the `StringSanitizer`.

## Functions
void | isc::util::str::decodeColonSeparatedHexString (const std::string &hex_string, std::vector< uint8_t > &binary)
| Converts a string of hexadecimal digits with colons into a vector.
void | isc::util::str::decodeFormattedHexString (const std::string &hex_string, std::vector< uint8_t > &binary)
| Converts a formatted string of hexadecimal digits into a vector.
void | isc::util::str::decodeSeparatedHexString (const std::string &hex_string, const std::string &sep, std::vector< uint8_t > &binary)
| Converts a string of separated hexadecimal digits into a vector.
string | isc::util::str::dumpAsHex (const uint8_t *data, size_t length)
| Dumps a buffer of bytes as a string of hexadecimal digits.
string | isc::util::str::dumpDouble (double val, size_t precision=5)
| Converts a double to a string with given precision.
bool | isc::util::str::isPrintable (const std::string &content)
| Check if a string is printable.
bool | isc::util::str::isPrintable (const std::vector< uint8_t > &content)
| Check if a byte vector is printable.
void | isc::util::str::lowercase (std::string &text)
| Convert string to lowercase.
vector< uint8_t > | isc::util::str::quotedStringToBinary (const std::string &quoted_string)
| Converts a string in quotes into vector.
template<typename Iterator>
Iterator | isc::util::str::seekTrimmed (Iterator const &begin, Iterator end, uint8_t const trim_val)
| Finds the "trimmed" end of a buffer.
vector< string > | isc::util::str::tokens (const std::string &text, const std::string &delim=" \t\n", bool escape=false)
| Split string into tokens.
char | isc::util::str::toLower (char const chr)
| Convert character to lowercase.
char | isc::util::str::toUpper (char const chr)
| Convert character to uppercase.
string | isc::util::str::trim (const std::string &input)
| Trim leading and trailing spaces.
void | isc::util::str::uppercase (std::string &text)
| Convert string to uppercase.